## API Report File for "@backstage/integration"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts
import { Config } from '@backstage/config';
import { RestEndpointMethodTypes } from '@octokit/rest';

// Warning: (ae-missing-release-tag) "AwsS3Integration" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public (undocumented)
export class AwsS3Integration implements ScmIntegration {
  constructor(integrationConfig: AwsS3IntegrationConfig);
  // (undocumented)
  get config(): AwsS3IntegrationConfig;
  // Warning: (ae-forgotten-export) The symbol "ScmIntegrationsFactory" needs to be exported by the entry point index.d.ts
  //
  // (undocumented)
  static factory: ScmIntegrationsFactory<AwsS3Integration>;
  // (undocumented)
  resolveEditUrl(url: string): string;
  // (undocumented)
  resolveUrl(options: {
    url: string;
    base: string;
    lineNumber?: number | undefined;
  }): string;
  // (undocumented)
  get title(): string;
  // (undocumented)
  get type(): string;
}

// Warning: (ae-missing-release-tag) "AwsS3IntegrationConfig" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export type AwsS3IntegrationConfig = {
  host: string;
  accessKeyId?: string;
  secretAccessKey?: string;
  roleArn?: string;
};

// Warning: (ae-missing-release-tag) "AzureIntegration" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public (undocumented)
export class AzureIntegration implements ScmIntegration {
  constructor(integrationConfig: AzureIntegrationConfig);
  // (undocumented)
  get config(): AzureIntegrationConfig;
  // (undocumented)
  static factory: ScmIntegrationsFactory<AzureIntegration>;
  // (undocumented)
  resolveEditUrl(url: string): string;
  // (undocumented)
  resolveUrl(options: {
    url: string;
    base: string;
    lineNumber?: number;
  }): string;
  // (undocumented)
  get title(): string;
  // (undocumented)
  get type(): string;
}

// Warning: (ae-missing-release-tag) "AzureIntegrationConfig" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export type AzureIntegrationConfig = {
  host: string;
  token?: string;
};

// Warning: (ae-missing-release-tag) "BitbucketIntegration" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public (undocumented)
export class BitbucketIntegration implements ScmIntegration {
  constructor(integrationConfig: BitbucketIntegrationConfig);
  // (undocumented)
  get config(): BitbucketIntegrationConfig;
  // (undocumented)
  static factory: ScmIntegrationsFactory<BitbucketIntegration>;
  // (undocumented)
  resolveEditUrl(url: string): string;
  // (undocumented)
  resolveUrl(options: {
    url: string;
    base: string;
    lineNumber?: number;
  }): string;
  // (undocumented)
  get title(): string;
  // (undocumented)
  get type(): string;
}

// Warning: (ae-missing-release-tag) "BitbucketIntegrationConfig" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export type BitbucketIntegrationConfig = {
  host: string;
  apiBaseUrl?: string;
  token?: string;
  username?: string;
  appPassword?: string;
};

// Warning: (ae-missing-release-tag) "defaultScmResolveUrl" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function defaultScmResolveUrl(options: {
  url: string;
  base: string;
  lineNumber?: number;
}): string;

// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-missing-release-tag) "getAzureCommitsUrl" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function getAzureCommitsUrl(url: string): string;

// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-missing-release-tag) "getAzureDownloadUrl" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function getAzureDownloadUrl(url: string): string;

// Warning: (tsdoc-escape-right-brace) The "}" character should be escaped using a backslash to avoid confusion with a TSDoc inline tag
// Warning: (tsdoc-escape-right-brace) The "}" character should be escaped using a backslash to avoid confusion with a TSDoc inline tag
// Warning: (tsdoc-escape-right-brace) The "}" character should be escaped using a backslash to avoid confusion with a TSDoc inline tag
// Warning: (tsdoc-escape-right-brace) The "}" character should be escaped using a backslash to avoid confusion with a TSDoc inline tag
// Warning: (tsdoc-malformed-inline-tag) Expecting a TSDoc tag starting with "{@"
// Warning: (tsdoc-malformed-inline-tag) Expecting a TSDoc tag starting with "{@"
// Warning: (tsdoc-malformed-inline-tag) Expecting a TSDoc tag starting with "{@"
// Warning: (tsdoc-malformed-inline-tag) Expecting a TSDoc tag starting with "{@"
// Warning: (tsdoc-escape-right-brace) The "}" character should be escaped using a backslash to avoid confusion with a TSDoc inline tag
// Warning: (tsdoc-escape-right-brace) The "}" character should be escaped using a backslash to avoid confusion with a TSDoc inline tag
// Warning: (tsdoc-escape-right-brace) The "}" character should be escaped using a backslash to avoid confusion with a TSDoc inline tag
// Warning: (tsdoc-escape-right-brace) The "}" character should be escaped using a backslash to avoid confusion with a TSDoc inline tag
// Warning: (tsdoc-malformed-inline-tag) Expecting a TSDoc tag starting with "{@"
// Warning: (tsdoc-malformed-inline-tag) Expecting a TSDoc tag starting with "{@"
// Warning: (tsdoc-malformed-inline-tag) Expecting a TSDoc tag starting with "{@"
// Warning: (tsdoc-malformed-inline-tag) Expecting a TSDoc tag starting with "{@"
// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-missing-release-tag) "getAzureFileFetchUrl" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function getAzureFileFetchUrl(url: string): string;

// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-missing-release-tag) "getAzureRequestOptions" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function getAzureRequestOptions(
  config: AzureIntegrationConfig,
  additionalHeaders?: Record<string, string>,
): RequestInit;

// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-missing-release-tag) "getBitbucketDefaultBranch" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function getBitbucketDefaultBranch(
  url: string,
  config: BitbucketIntegrationConfig,
): Promise<string>;

// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-missing-release-tag) "getBitbucketDownloadUrl" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function getBitbucketDownloadUrl(
  url: string,
  config: BitbucketIntegrationConfig,
): Promise<string>;

// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-missing-release-tag) "getBitbucketFileFetchUrl" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function getBitbucketFileFetchUrl(
  url: string,
  config: BitbucketIntegrationConfig,
): string;

// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-missing-release-tag) "getBitbucketRequestOptions" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function getBitbucketRequestOptions(
  config: BitbucketIntegrationConfig,
): RequestInit;

// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-forgotten-export) The symbol "GithubCredentials" needs to be exported by the entry point index.d.ts
// Warning: (ae-missing-release-tag) "getGitHubFileFetchUrl" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function getGitHubFileFetchUrl(
  url: string,
  config: GitHubIntegrationConfig,
  credentials: GithubCredentials,
): string;

// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-missing-release-tag) "getGitHubRequestOptions" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public @deprecated
export function getGitHubRequestOptions(
  config: GitHubIntegrationConfig,
  credentials: GithubCredentials,
): RequestInit;

// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-missing-release-tag) "getGitLabFileFetchUrl" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function getGitLabFileFetchUrl(
  url: string,
  config: GitLabIntegrationConfig,
): Promise<string>;

// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-missing-release-tag) "getGitLabRequestOptions" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function getGitLabRequestOptions(
  config: GitLabIntegrationConfig,
): RequestInit;

// Warning: (ae-missing-release-tag) "GithubAppCredentialsMux" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public (undocumented)
export class GithubAppCredentialsMux {
  constructor(config: GitHubIntegrationConfig);
  // (undocumented)
  getAllInstallations(): Promise<
    RestEndpointMethodTypes['apps']['listInstallations']['response']['data']
  >;
  // (undocumented)
  getAppToken(owner: string, repo?: string): Promise<string | undefined>;
}

// Warning: (ae-missing-release-tag) "GithubCredentialsProvider" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public (undocumented)
export class GithubCredentialsProvider {
  // (undocumented)
  static create(config: GitHubIntegrationConfig): GithubCredentialsProvider;
  // Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
  // Warning: (tsdoc-escape-right-brace) The "}" character should be escaped using a backslash to avoid confusion with a TSDoc inline tag
  // Warning: (tsdoc-escape-right-brace) The "}" character should be escaped using a backslash to avoid confusion with a TSDoc inline tag
  // Warning: (tsdoc-malformed-inline-tag) Expecting a TSDoc tag starting with "{@"
  // Warning: (tsdoc-malformed-inline-tag) Expecting a TSDoc tag starting with "{@"
  // Warning: (tsdoc-undefined-tag) The TSDoc tag "@type" is not defined in this configuration
  // Warning: (tsdoc-escape-right-brace) The "}" character should be escaped using a backslash to avoid confusion with a TSDoc inline tag
  // Warning: (tsdoc-escape-right-brace) The "}" character should be escaped using a backslash to avoid confusion with a TSDoc inline tag
  // Warning: (tsdoc-malformed-inline-tag) Expecting a TSDoc tag starting with "{@"
  // Warning: (tsdoc-malformed-inline-tag) Expecting a TSDoc tag starting with "{@"
  getCredentials(opts: { url: string }): Promise<GithubCredentials>;
}

// Warning: (ae-missing-release-tag) "GithubCredentialType" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public (undocumented)
export type GithubCredentialType = 'app' | 'token';

// Warning: (ae-missing-release-tag) "GitHubIntegration" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public (undocumented)
export class GitHubIntegration implements ScmIntegration {
  constructor(integrationConfig: GitHubIntegrationConfig);
  // (undocumented)
  get config(): GitHubIntegrationConfig;
  // (undocumented)
  static factory: ScmIntegrationsFactory<GitHubIntegration>;
  // (undocumented)
  resolveEditUrl(url: string): string;
  // (undocumented)
  resolveUrl(options: {
    url: string;
    base: string;
    lineNumber?: number;
  }): string;
  // (undocumented)
  get title(): string;
  // (undocumented)
  get type(): string;
}

// Warning: (ae-missing-release-tag) "GitHubIntegrationConfig" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export type GitHubIntegrationConfig = {
  host: string;
  apiBaseUrl?: string;
  rawBaseUrl?: string;
  token?: string;
  apps?: GithubAppConfig[];
};

// Warning: (ae-missing-release-tag) "GitLabIntegration" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public (undocumented)
export class GitLabIntegration implements ScmIntegration {
  constructor(integrationConfig: GitLabIntegrationConfig);
  // (undocumented)
  get config(): GitLabIntegrationConfig;
  // (undocumented)
  static factory: ScmIntegrationsFactory<GitLabIntegration>;
  // (undocumented)
  resolveEditUrl(url: string): string;
  // (undocumented)
  resolveUrl(options: {
    url: string;
    base: string;
    lineNumber?: number;
  }): string;
  // (undocumented)
  get title(): string;
  // (undocumented)
  get type(): string;
}

// Warning: (ae-missing-release-tag) "GitLabIntegrationConfig" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export type GitLabIntegrationConfig = {
  host: string;
  apiBaseUrl: string;
  token?: string;
  baseUrl: string;
};

// Warning: (ae-missing-release-tag) "GoogleGcsIntegrationConfig" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export type GoogleGcsIntegrationConfig = {
  clientEmail?: string;
  privateKey?: string;
};

// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-missing-release-tag) "readAwsS3IntegrationConfig" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function readAwsS3IntegrationConfig(
  config: Config,
): AwsS3IntegrationConfig;

// Warning: (ae-missing-release-tag) "readAwsS3IntegrationConfigs" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public (undocumented)
export function readAwsS3IntegrationConfigs(
  configs: Config[],
): AwsS3IntegrationConfig[];

// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-missing-release-tag) "readAzureIntegrationConfig" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function readAzureIntegrationConfig(
  config: Config,
): AzureIntegrationConfig;

// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-missing-release-tag) "readAzureIntegrationConfigs" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function readAzureIntegrationConfigs(
  configs: Config[],
): AzureIntegrationConfig[];

// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-missing-release-tag) "readBitbucketIntegrationConfig" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function readBitbucketIntegrationConfig(
  config: Config,
): BitbucketIntegrationConfig;

// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-missing-release-tag) "readBitbucketIntegrationConfigs" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function readBitbucketIntegrationConfigs(
  configs: Config[],
): BitbucketIntegrationConfig[];

// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-missing-release-tag) "readGitHubIntegrationConfig" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function readGitHubIntegrationConfig(
  config: Config,
): GitHubIntegrationConfig;

// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-missing-release-tag) "readGitHubIntegrationConfigs" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function readGitHubIntegrationConfigs(
  configs: Config[],
): GitHubIntegrationConfig[];

// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-missing-release-tag) "readGitLabIntegrationConfig" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function readGitLabIntegrationConfig(
  config: Config,
): GitLabIntegrationConfig;

// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-missing-release-tag) "readGitLabIntegrationConfigs" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function readGitLabIntegrationConfigs(
  configs: Config[],
): GitLabIntegrationConfig[];

// Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
// Warning: (ae-missing-release-tag) "readGoogleGcsIntegrationConfig" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export function readGoogleGcsIntegrationConfig(
  config: Config,
): GoogleGcsIntegrationConfig;

// Warning: (ae-missing-release-tag) "replaceUrlType" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public (undocumented)
export function replaceGitHubUrlType(
  url: string,
  type: 'blob' | 'tree' | 'edit',
): string;

// Warning: (ae-missing-release-tag) "ScmIntegration" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export interface ScmIntegration {
  // Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
  resolveEditUrl(url: string): string;
  // Warning: (tsdoc-param-tag-with-invalid-name) The @param block should be followed by a valid parameter name: The identifier cannot non-word characters
  // Warning: (tsdoc-param-tag-with-invalid-name) The @param block should be followed by a valid parameter name: The identifier cannot non-word characters
  // Warning: (tsdoc-param-tag-with-invalid-name) The @param block should be followed by a valid parameter name: The identifier cannot non-word characters
  resolveUrl(options: {
    url: string;
    base: string;
    lineNumber?: number;
  }): string;
  title: string;
  type: string;
}

// Warning: (ae-missing-release-tag) "ScmIntegrationRegistry" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export interface ScmIntegrationRegistry
  extends ScmIntegrationsGroup<ScmIntegration> {
  // (undocumented)
  awsS3: ScmIntegrationsGroup<AwsS3Integration>;
  // (undocumented)
  azure: ScmIntegrationsGroup<AzureIntegration>;
  // (undocumented)
  bitbucket: ScmIntegrationsGroup<BitbucketIntegration>;
  // (undocumented)
  github: ScmIntegrationsGroup<GitHubIntegration>;
  // (undocumented)
  gitlab: ScmIntegrationsGroup<GitLabIntegration>;
  // Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
  resolveEditUrl(url: string): string;
  // Warning: (tsdoc-param-tag-with-invalid-name) The @param block should be followed by a valid parameter name: The identifier cannot non-word characters
  // Warning: (tsdoc-param-tag-with-invalid-name) The @param block should be followed by a valid parameter name: The identifier cannot non-word characters
  // Warning: (tsdoc-param-tag-with-invalid-name) The @param block should be followed by a valid parameter name: The identifier cannot non-word characters
  resolveUrl(options: {
    url: string;
    base: string;
    lineNumber?: number;
  }): string;
}

// Warning: (ae-missing-release-tag) "ScmIntegrations" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public (undocumented)
export class ScmIntegrations implements ScmIntegrationRegistry {
  // Warning: (ae-forgotten-export) The symbol "IntegrationsByType" needs to be exported by the entry point index.d.ts
  constructor(integrationsByType: IntegrationsByType);
  // (undocumented)
  get awsS3(): ScmIntegrationsGroup<AwsS3Integration>;
  // (undocumented)
  get azure(): ScmIntegrationsGroup<AzureIntegration>;
  // (undocumented)
  get bitbucket(): ScmIntegrationsGroup<BitbucketIntegration>;
  // (undocumented)
  byHost(host: string): ScmIntegration | undefined;
  // (undocumented)
  byUrl(url: string | URL): ScmIntegration | undefined;
  // (undocumented)
  static fromConfig(config: Config): ScmIntegrations;
  // (undocumented)
  get github(): ScmIntegrationsGroup<GitHubIntegration>;
  // (undocumented)
  get gitlab(): ScmIntegrationsGroup<GitLabIntegration>;
  // (undocumented)
  list(): ScmIntegration[];
  // (undocumented)
  resolveEditUrl(url: string): string;
  // (undocumented)
  resolveUrl(options: {
    url: string;
    base: string;
    lineNumber?: number;
  }): string;
}

// Warning: (ae-missing-release-tag) "ScmIntegrationsGroup" is exported by the package, but it is missing a release tag (@alpha, @beta, @public, or @internal)
//
// @public
export interface ScmIntegrationsGroup<T extends ScmIntegration> {
  // Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
  byHost(host: string): T | undefined;
  // Warning: (tsdoc-param-tag-missing-hyphen) The @param block should be followed by a parameter name and then a hyphen
  byUrl(url: string | URL): T | undefined;
  list(): T[];
}

// Warnings were encountered during analysis:
//
// src/github/config.d.ts:41:5 - (ae-forgotten-export) The symbol "GithubAppConfig" needs to be exported by the entry point index.d.ts
// src/gitlab/config.d.ts:27:68 - (tsdoc-escape-right-brace) The "}" character should be escaped using a backslash to avoid confusion with a TSDoc inline tag
// src/gitlab/config.d.ts:27:63 - (tsdoc-malformed-inline-tag) Expecting a TSDoc tag starting with "{@"
```
